Amili Docs
Home
Products
Products
  • Debt.collection
  • Account Receivable
  • Distribution
  • Pay
Go to amili.no
Home
Products
Products
  • Debt.collection
  • Account Receivable
  • Distribution
  • Pay
Go to amili.no
  1. Invoice
  • AmiliPay API Introduction
  • Industry Categories Reference
  • Webhooks Reference
  • Merchant
    • List all customers
      GET
    • Create customer
      POST
    • Retrieve customer
      GET
    • Update customer
      PUT
    • Create customer token
      POST
    • Retrieve pricing for a merchant
      GET
    • Update pricing for a merchant
      POST
    • List a customer's agreements
      GET
  • User
    • List users
      GET
    • Create user
      POST
    • Retrieve user
      GET
    • Update user
      PUT
    • Delete user
      DELETE
  • Onboarding
    • Create onboarding application
      POST
    • Retrieve onboarding application
      GET
    • Update onboarding application
      PUT
    • Delete onboarding application
      DELETE
    • Start processing onboarding
      POST
    • Delete onboarding shareholder
      DELETE
    • Create onboarding document
      POST
    • Retrieve onboarding document
      GET
    • Delete onboarding document
      DELETE
    • Retrieve available account agreements
      GET
    • Create onboarding agreement
      POST
    • Mark selected agreement as an accepted by the account
      POST
    • Retrieve a single agreement
      GET
    • Update onboarding agreement
      PUT
    • Deactivate agreement
      DELETE
  • Invoice
    • List all invoices
      GET
    • Create invoice
      POST
    • Retrieve invoice
      GET
    • Update invoice
      PUT
    • Delete invoice
      DELETE
    • Refund invoice
      POST
  • Transactions
    • Get invoice transactions
  • Payout
    • List all payouts
    • Retrieve payout
    • Retrieve payout details
    • Retrieve payout
    • Retrieve payout details
  • Product lines classification
    • Upload a CSV file
    • Get download link for a CSV file
    • Download a previously uploaded CSV file
  1. Invoice

Delete invoice

DELETE
/v1/invoices/{unique_id}
Deletes an invoice (soft delete: sets deleted_at and deactivated_at). A paid invoice cannot be deleted. A partner can delete its direct customers' invoices.

Request

Authorization
API Key
Add parameter in header
X-API-KEY
Example:
X-API-KEY: ********************
or
API Key
Add parameter in header
Authorization
Example:
Authorization: ********************
or
Path Params

Responses

🟢204
Deleted. Empty body. Also returned for an invoice that is deactivated but not yet deleted.
This response does not have a body.
🟠401
🟠403
🟠404
🟠422
🟠429
🔴500
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request DELETE '/v1/invoices/5f0c1e2a-8b3d-4c7e-9a41-2d6b7c8e9f10' \
--header 'X-API-KEY: <api-key>'
Response Response Example
404 - Example 1
{
    "traceId": "string",
    "code": "string",
    "message": "string",
    "errors": {
        "property1": [
            "string"
        ],
        "property2": [
            "string"
        ]
    }
}
Modified at 2026-11-12 15:43:24
Previous
Update invoice
Next
Refund invoice
Built with